# Asterisk Project : Asterisk 12 Application_TryExec

Added by wikibot , edited by wikibot on Aug 29, 2013

# TryExec()

### Synopsis

Executes dialplan application, always returning.

### Description

Allows an arbitrary application to be invoked even when not hard coded into the dialplan. To invoke external applications see the application System. Always returns to the dialplan. The channel variable TRYSTATUS will be set to one of:

- `TRYSTATUS`
  - SUCCESS - If the application returned zero.
  - FAILED - If the application returned non-zero.
  - NOAPP - If the application was not found or was not specified.

### Syntax

    TryExec(arguments)

##### Arguments

- `appname`
  - `arguments`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown